npm

Does your artifact manager get in the way? Join us on Oct. 8 at 10am PT, to discuss how npm can help.Sign up »

camunda-dmn-moddle

1.0.0 • Public • Published

camunda-dmn-moddle

Build Status

This project defines the Camunda namespace extensions for DMN 1.1 as a moddle descriptor.

Usage

Use it together with dmn-moddle to validate Camunda DMN 1.1 extensions.

var DmnModdle = require('dmn-moddle');
 
var camundaModdle = require('camunda-dmn-moddle/resources/camunda');
 
var moddle = new DmnModdle({ camunda: camundaModdle });
 
var decision = moddle.create('dmn:Decision', {
  'historyTimeToLive': 'foo'
});

Building the Project

To run the test suite that includes XSD schema validation you must have a Java JDK installed and properly exposed through the JAVA_HOME variable.

Execute the test via

npm test

Perform a complete build of the application via

npm run all

License

Use under the terms of the MIT license.

install

npm i camunda-dmn-moddle

Downloadsweekly downloads

22

version

1.0.0

license

MIT

homepage

github.com

repository

Gitgithub

last publish

collaborators

  • avatar
  • avatar
Report a vulnerability